from netforce.model import Model, fields, get_model
from netforce.utils import get_data_path
import time
from netforce.access import get_active_user
from netforce.access import get_active_company

class ClinicSetting(Model):
    _name="clinic.setting"
    _string="Setting"
    _fields={
        "mg_partner_id": fields.Many2One("partner","Partner Medical Govement"),
        "ar_mg_id": fields.Many2One("account.account","Account Receivable Medical Govement"),
        "ap_mg_id": fields.Many2One("account.account","Account Payment Medical Govement"),
        "nhso_partner_id": fields.Many2One("partner","Partner NHSO 30B"),
        "ar_nhso_id": fields.Many2One("account.account","Account Receiveble NHSO 30B"),
        "ap_nhso_id": fields.Many2One("account.account","Account Payment NHSO 30B"),
        "sc_partner_id": fields.Many2One("partner","Partner Social Security"),
        "ar_sc_id": fields.Many2One("account.account","Account Receiveble Social Security"),
        "ap_sc_id": fields.Many2One("account.account","Account Payment Social Security"),
    }

ClinicSetting.register()
