from netforce.model import Model, fields

class ClinicRound(Model):
    _name="clinic.round"
    _string="Round"

    _fields={
        "name": fields.Char("Name",required=True,search=True),
    }
    
    def get_data(self,context={}):
        lines=[]
        for i in range(10):
            line={
                'no': i,
                'doctor': 'Doctor %s'%i,
                #......
            }
            lines.append(line)

        data={
            'lines': lines,
        }
        print('data ', data)
        return data

ClinicRound.register()
